Skip to navigation

Retrieve a taxation item

View as Markdown
Retrieves the information about a specific taxation item by ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
The unique ID of a taxation item.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
createdByIdstringOptional
The ID of the Zuora user who created the taxation item.
createdDatestringOptional

The date and time when the taxation item was created in the Zuora system, in yyyy-mm-dd hh:mm:ss format.

exemptAmountdoubleOptional
The calculated tax amount excluded due to the exemption.
financeInformationobjectOptional
Container for the finance information related to the taxation item.
idstringOptional
The ID of the taxation item.
jurisdictionstringOptional
The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
locationCodestringOptional

The identifier for the location based on the value of the taxCode field.

memoItemIdstringOptional
The ID of the credit or debit memo associated with the taxation item.
namestringOptional
The name of the taxation item.
sourceTaxItemIdstringOptional
The ID of the taxation item of the invoice, which the credit or debit memo is created from.
successbooleanOptional

Returns true if the request was processed successfully.

taxAmountdoubleOptional
The amount of the tax applied to the credit or debit memo.
taxCodestringOptional
The tax code identifies which tax rules and tax rates to apply to a specific credit or debit memo.
taxCodeDescriptionstringOptional
The description of the tax code.
taxDatedateOptional
The date when the tax is applied to the credit or debit memo.
taxRatedoubleOptional
The tax rate applied to the credit or debit memo.
taxRateDescriptionstringOptional
The description of the tax rate.
taxRateTypeenumOptional
The type of the tax rate applied to the credit or debit memo.
Allowed values:
updatedByIdstringOptional
The ID of the Zuora user who last updated the taxation item.
updatedDatestringOptional

The date and time when the taxation item was last updated, in yyyy-mm-dd hh:mm:ss format.

Errors

4XX
Client Request Error
500
Internal Server Error